<?php

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$ausm_admin_object = new Advanced_Usps_Shipping_Method_Admin( ADVANCED_USPS_SHIPPING_METHOD_SLUG, ADVANCED_USPS_SHIPPING_METHOD_VERSION );
?>
<div id="dotsstoremain">
    <div class="all-pad">
        <header class="dots-header">
            <div class="dots-plugin-details">
                <div class="dots-header-left">
                    <div class="dots-logo-main">
                        <div class="logo-image">
                            <img src="<?php echo esc_url( ADVANCED_USPS_SHIPPING_METHOD_LOGO ); ?>" alt="<?php esc_attr_e('Plugin\'s logo', 'advanced-usps-shipping-method') ?>">
                        </div>
                        <div class="plugin-version">
                            <span><?php esc_html_e( ADVANCED_USPS_SHIPPING_METHOD_VERSION_TYPE, 'advanced-usps-shipping-method' ); ?> <?php esc_html_e( ADVANCED_USPS_SHIPPING_METHOD_VERSION, 'advanced-usps-shipping-method' ); ?></span>
                        </div>
                    </div>
                    <div class="plugin-name">
                        <div class="title"><?php esc_html_e( ADVANCED_USPS_SHIPPING_METHOD_NAME, 'advanced-usps-shipping-method' ); ?></div>
                        <div class="desc"><?php esc_html_e( ADVANCED_USPS_SHIPPING_METHOD_DESC, 'advanced-usps-shipping-method' ); ?></div>
                    </div>
                </div>
                <div class="dots-header-right">

                    <div class="button-group">
                        <div class="button-dots">
                            <span class="support_dotstore_image">
                                <a target="_blank" href="<?php echo esc_url('http://www.thedotstore.com/support/'); ?>">
                                    <span class="dashicons dashicons-sos"></span>
                                    <strong><?php esc_html_e('Quick Support', 'advanced-usps-shipping-method') ?></strong>
                                </a>
                            </span>
                        </div>

                        <div class="button-dots">
                            <span class="support_dotstore_image">
                                <a target="_blank" href="<?php echo esc_url('https://docs.thedotstore.com/collection/478-advanced-usps-shipping-method'); ?>">
                                    <span class="dashicons dashicons-media-text"></span>
                                    <strong><?php esc_html_e('Documentation', 'advanced-usps-shipping-method') ?></strong>
                                </a>
                            </span>
                        </div>

                        <?php
                        if ( ausm_fs()->is__premium_only() && ausm_fs()->can_use_premium_code() ) { ?>
                                <div class="button-dots">
                                    <span class="support_dotstore_image">
                                        <a target="_blank" href="<?php echo esc_url(ausm_fs()->get_account_url()); ?>">
                                            <span class="dashicons dashicons-admin-users"></span>
                                            <strong><?php esc_html_e('My Account', 'advanced-usps-shipping-method') ?></strong>
                                        </a>
                                    </span>
                                </div>
                        <?php } else { ?>
                                <div class="button-dots">
                                    <span class="support_dotstore_image">
                                        <a target="_blank" href="<?php echo esc_url(ausm_fs()->get_upgrade_url()); ?>">
                                            <span class="dashicons dashicons-upload"></span>
                                            <strong><?php esc_html_e('Upgrade To Pro', 'advanced-usps-shipping-method') ?></strong>
                                        </a>
                                    </span>
                                </div> 
                        <?php } ?>
                    </div>
                </div>
            </div>
			<?php
				$current_page = filter_input( INPUT_GET, 'page', FILTER_SANITIZE_STRING );
				$ausm_admin_object->ausm_pro_menus( $current_page );
			?>
        </header>
        <div class="dots-settings-inner-main">