<?php 
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$review_url = '';
$plugin_at  = '';
$changelog_url = '';

if ( ausm_fs()->is__premium_only() && ausm_fs()->can_use_premium_code() ) {
    $review_url = esc_url( 'https://www.thedotstore.com/woocommerce-advanced-usps-shipping-method/#tab-reviews' );
    $plugin_at  = 'theDotstore';
    $changelog_url = esc_url( 'https://www.thedotstore.com/woocommerce-advanced-usps-shipping-method/#tab-update-log' );
} else {
    $review_url = esc_url( 'https://wordpress.org/plugins/advanced-usps-shipping-method/#reviews' );
    $plugin_at  = 'WP.org';
    $changelog_url = esc_url( 'https://wordpress.org/plugins/advanced-usps-shipping-method/#developers' );
}
?>      
            <div class="ausm-section-right">
                <div class="dots-seperator">
                    <button class="toggleSidebar" title="toogle sidebar">
                        <span class="dashicons dashicons-arrow-right-alt2"></span>
                    </button>
                </div>
                <div class="dotstore_plugin_sidebar">
                    <?php if ( !ausm_fs()->is__premium_only() || !ausm_fs()->can_use_premium_code() ) { ?>
                        <div class="dotstore-sidebar-section">
                            <div class="dotstore-sidebar-section-heading">
                                <span class="heading-text"><?php esc_html_e('Upgrade to Premium Version', 'advanced-usps-shipping-method'); ?></span>
                            </div>
                            <div class="dotstore-sidebar-section-content">
                                <ul class="dotstore-pro-list">
                                    <li><?php esc_html_e('Check API connection by one click', 'advanced-usps-shipping-method'); ?></li>
                                    <li><?php esc_html_e('Adjust USPS API price by additional fix cost', 'advanced-usps-shipping-method'); ?></li>
                                    <li><?php esc_html_e('Adjust USPS API price by additional percentage cost', 'advanced-usps-shipping-method'); ?></li>
                                    <li><?php esc_html_e('Rearrage shipping methods order to show best on top', 'advanced-usps-shipping-method'); ?></li>
                                    <li><?php esc_html_e('Import/Export plugin setting on one click', 'advanced-usps-shipping-method'); ?></li>
                                </ul>
                                <div class="dotstore-pro-button">
                                    <a class="button" target="_blank" href="<?php echo esc_url(ausm_fs()->get_upgrade_url()); ?>"><?php esc_html_e('Get Premium Now »', 'advanced-usps-shipping-method'); ?></a>
                                </div>
                            </div>
                        </div>
                    <?php } ?>

                    <!-- New Review  Block -->
                    <div class="dotstore-sidebar-section">
                        <div class="content_box">
                            <h3><?php esc_html_e('Like This Plugin?', 'advanced-usps-shipping-method'); ?></h3>
                            <div class="et-star-rating">
                                <input type="radio" id="5-stars" name="rating" value="5" />
                                <label for="5-stars" class="star"></label>
                                <input type="radio" id="4-stars" name="rating" value="4" />
                                <label for="4-stars" class="star"></label>
                                <input type="radio" id="3-stars" name="rating" value="3" />
                                <label for="3-stars" class="star"></label>
                                <input type="radio" id="2-stars" name="rating" value="2" />
                                <label for="2-stars" class="star"></label>
                                <input type="radio" id="1-star" name="rating" value="1" />
                                <label for="1-star" class="star"></label>
                                <input type="hidden" id="et-review-url" value="<?php echo esc_url($review_url);?>">
                            </div>
                            <p><?php esc_html_e('Your Review is very important to us as it helps us to grow more.', 'advanced-usps-shipping-method'); ?></p>
                        </div>
                    </div>

                    <?php if ( !ausm_fs()->is__premium_only() || !ausm_fs()->can_use_premium_code() ) { ?>
                    <div class="dotstore-sidebar-section">
                        <div class="dotstore-sidebar-section-heading">
                            <span class="dashicons dashicons-image-rotate-right"></span>
                            <span class="heading-text"><?php esc_html_e('Free vs Pro Feature', 'advanced-usps-shipping-method'); ?></span>
                        </div>
                        <div class="dotstore-sidebar-section-content">
                            <p><?php esc_html_e('Here’s a glance view of the main differences between Premium and free plugin features.', 'advanced-usps-shipping-method'); ?></p>
                            <a target="_blank" href="<?php echo esc_url('https://www.thedotstore.com/woocommerce-advanced-usps-shipping-method/'); ?>"><?php esc_html_e('Click here »', 'advanced-usps-shipping-method'); ?></a>
                        </div>
                    </div>
                    <?php } ?>
                    
                    <div class="dotstore-sidebar-section">
                        <div class="dotstore-sidebar-section-heading">
                            <span class="dashicons dashicons-star-filled"></span>
                            <span class="heading-text"><?php esc_html_e('Suggest A Feature', 'advanced-usps-shipping-method'); ?></span>
                        </div>
                        <div class="dotstore-sidebar-section-content">
                            <p><?php esc_html_e('Let us know how we can improve the plugin experience.', 'advanced-usps-shipping-method'); ?></p>
                            <p><?php esc_html_e('Do you have any feedback & feature requests?', 'advanced-usps-shipping-method'); ?></p>
                            <a target="_blank" href="<?php echo esc_url('https://www.thedotstore.com/feature-requests/'); ?>"><?php esc_html_e('Submit Request »', 'advanced-usps-shipping-method'); ?></a>
                        </div>
                    </div>

                    <div class="dotstore-sidebar-section">
                        <div class="dotstore-sidebar-section-heading">
                            <span class="dashicons dashicons-editor-kitchensink"></span>
                            <span class="heading-text"><?php esc_html_e('Changelog', 'advanced-usps-shipping-method'); ?></span>
                        </div>
                        <div class="dotstore-sidebar-section-content">
                            <p><?php esc_html_e('We improvise our products on a regular basis to deliver the best results to customer satisfaction.', 'advanced-usps-shipping-method'); ?></p>
                            <a target="_blank" href="<?php echo esc_url( $changelog_url ); ?>"><?php esc_html_e('Visit Here »', 'advanced-usps-shipping-method'); ?></a>
                        </div>
                    </div>

                    <!-- HTML for popular plugin -->
                    <?php
                    $dots_plugins_list = array(
                        array(
                            'plugin_name'  => esc_html__( 'Flat Rate Shipping Plugin For WooCommerce', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( 'https://www.thedotstore.com/flat-rate-shipping-plugin-for-woocommerce/' ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/Advanced-Flat-Rate-Shipping-Method.png' ),
                        ),
                        array(
                            'plugin_name'  => esc_html__( 'Extra Fees Plugin for WooCommerce', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( "https://www.thedotstore.com/product/woocommerce-extra-fees-plugin/" ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/Conditional-Product-Fees-For-WooCommerce-Checkout.png' ),
                        ),
                        array(
                            'plugin_name'  => esc_html__( 'Hide Shipping Method For WooCommerce', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( 'https://www.thedotstore.com/hide-shipping-method-for-woocommerce/' ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/Hide-Shipping-Method-For-WooCommerce.png' ),
                        ),
                        array(
                            'plugin_name'  => esc_html__( 'WooCommerce Anti-Fraud', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( 'https://www.thedotstore.com/woocommerce-anti-fraud' ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/WooCommerce-Blocker-Prevent-Fake-Orders.png' ),
                        ),
                        array(
                            'plugin_name'  => esc_html__( 'Product Size Charts For WooCommerce', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( 'https://www.thedotstore.com/woocommerce-advanced-product-size-charts/' ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/Product-Size-Charts-for-WooCommerce.png' ),
                        ),
                        array(
                            'plugin_name'  => esc_html__( 'Product Attachment For WooCommerce', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( 'https://www.thedotstore.com/woocommerce-product-attachment/' ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/Product-Attachment-For-WooCommerce.png' ),
                        ),
                        array(
                            'plugin_name'  => esc_html__( 'Product Sample for WooCommerce', 'advanced-usps-shipping-method' ),
                            'plugin_link'  => esc_url( 'https://www.thedotstore.com/product-sample-woocommerce/' ),
                            'plugin_image' => esc_url( ADVANCED_USPS_SHIPPING_METHOD_URL . 'admin/images/thedotstore-images/popular-plugins/Product-Sample-for-WooCommerce.png' ),
                        ),
                    );
                    ?>
                    <div class="dotstore-sidebar-section">
                        <div class="dotstore-sidebar-section-heading">
                            <span class="dashicons dashicons-plugins-checked"></span>
                            <span class="heading-text"><?php esc_html_e('Our Popular Plugins', 'advanced-usps-shipping-method'); ?></span>
                        </div>
                        <div class="video-detail important-link">
                            <ul>
                                <?php
                                foreach( $dots_plugins_list as $dots_plugin ){?>
                                    <li>
                                        <img class="sidebar_plugin_icone" src="<?php echo esc_url( $dots_plugin['plugin_image']); ?>" alt="<?php echo esc_attr( $dots_plugin['plugin_name']); ?>">
                                        <a target="_blank" href="<?php echo esc_url( $dots_plugin['plugin_link'] ); ?>">
                                            <span><?php echo esc_html( $dots_plugin['plugin_name'] ); ?></span>
                                        </a>
                                    </li>
                                <?php
                                }
                                ?>
                            </ul>
                        </div>
                        <div class="view-button">
                            <a class="button button-primary button-large" target="_blank" href="<?php echo esc_url('https://www.thedotstore.com/plugins'); ?>"><?php esc_html_e('VIEW ALL', 'advanced-usps-shipping-method'); ?></a>
                        </div>
                    </div>
                    <div class="dotstore-sidebar-section">
                        <div class="dotstore-sidebar-section-heading">
                            <span class="dashicons dashicons-sos"></span>
                            <span class="heading-text"><?php esc_html_e('Five Star Support', 'advanced-usps-shipping-method'); ?></span>
                        </div>
                        <div class="dotstore-sidebar-section-content">
                            <p><?php esc_html_e('Got a question? Get in touch with theDotstore developers. We are happy to help! ', 'advanced-usps-shipping-method'); ?></p>
                            <a target="_blank" href="<?php echo esc_url('https://www.thedotstore.com/support/'); ?>"><?php esc_html_e('Submit a Ticket »', 'advanced-usps-shipping-method'); ?></a>
                        </div>
                    </div>

                </div>
            </div>
        </div> <!-- ./dots-settings-inner-main -->
    </div> <!-- ./all-pad -->
</div> <!-- ./dotsstoremain -->